<packet name="GetMailHeader">
	<version number="1">
		<u32 name="kiosk_id">
		<u8 name="num_messages">
		<array name="message_array" count="var:num_messages">
			<u32 name="mail_id">
			<u32 name="player_to_id">
			<str16 name="subject">
			<str16 name="player_from">
			<u8 name="already_read">
			<u32 name="mail_deletion">
			<u32 name="mail_expire">
			<u32 name="coin_copper">
			<u32 name="coin_silver">
			<u32 name="coin_gold">
			<u32 name="coin_plat">
			<item name="item">
			<u16 name="end_tagx">
			<u16 name="end_tag2">
			<u16 name="end_tag3">
			<u8 name="end_tag4">
		</array>
		<u32 name="postage_cost">
		<u32 name="attachment_cost">
		<u16 name="unknown3">
		<u8 name="unknown4" size="4">
	</version>
	<version number="374">
		<u32 name="kiosk_id">
		<u8 name="num_messages">
		<array name="message_array" count="var:num_messages">
			<u32 name="mail_id">
			<u32 name="player_to_id">
			<str16 name="subject">
			<str16 name="player_from">
			<u16 name="unknown1">
			<u8 name="already_read">
			<u32 name="mail_deletion">
			<u8 name="mail_type">
			<u32 name="mail_expire">
			<u32 name="coin_copper">
			<u32 name="coin_silver">
			<u32 name="coin_gold">
			<u32 name="coin_plat">
			<item name="item">
			<u16 name="end_tagx">
			<u16 name="end_tag2">
			<u16 name="end_tag3">
			<u8 name="end_tag4">
		</array>
		<u32 name="postage_cost">
		<u32 name="attachment_cost">
		<u16 name="unknown3">
		<u8 name="unknown4" size="4">
	</version>
	<version number="546">
		<u32 name="kiosk_id">
		<u8 name="num_messages">
		<array name="message_array" count="var:num_messages">
			<u32 name="mail_id">
			<u32 name="player_to_id">
			<str16 name="subject">
			<str16 name="player_from">
			<u16 name="unknown1">
			<u8 name="already_read">
			<u32 name="mail_deletion">
			<u8 name="mail_type">
			<u32 name="mail_expire">
			<u32 name="coin_copper">
			<u32 name="coin_silver">
			<u32 name="coin_gold">
			<u32 name="coin_plat">
			<item name="item">
			<u16 name="end_tagx">
			<u16 name="end_tag2">
			<u16 name="end_tag3">
			<u8 name="end_tag4">
		</array>
		<u32 name="postage_cost">
		<u32 name="attachment_cost">
		<u16 name="unknown3">
		<u8 name="unknown4" size="4">
	</version>
	<version number="1193">
		<u32 name="kiosk_id">
		<u16 name="num_messages">
		<array name="message_array" count="var:num_messages">
			<u32 name="mail_id">
			<u32 name="player_to_id">
			<str16 name="player_from">
			<str16 name="subject">
			<u16 name="unknown1">
			<u8 name="already_read">
			<u32 name="mail_deletion">
			<u8 name="mail_type">
			<u32 name="mail_expire">
			<u32 name="unknown1a">
			<u32 name="coin_copper">
			<u32 name="coin_silver">
			<u32 name="coin_gold">
			<u32 name="coin_plat">
			<item name="item">
			<u16 name="end_tagx">
			<u16 name="end_tag2">
			<u8 name="end_tag3">
			<u32 name="end_tag4">
		</array>
		<u32 name="postage_cost">
		<u32 name="attachment_cost">
		<u16 name="unknown3">
		<u8 name="unknown4" size="4">
	</version>
</packet>